from installclass import BaseInstallClass
import rhpl
from rhpl.translate import N_,_
from constants import *
from flags import flags
import os
import iutil
import types
try:
    import instnum
except ImportError:
    instnum = None

import logging
log = logging.getLogger("anaconda")

import rpmUtils.arch

class InstallClass(BaseInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "startcom"
    name = N_("_StartCom")
    pixmap = "workstation.png"
    _description = N_("The default installation of %s includes a set of "
                    "minimal software. This is the smallest installation "
		    "possible."
                    "What additional tasks would you like your system "
                    "to include support for?") 
    sortPriority = 10000
    if productName.startswith("StartCom MultiMedia"):
        hidden = 1

    tasks = [(N_("Base System (Recommended)"), ["base", "base-x", "dial-up", "legacy-software-support"]),
             (N_("GNOME Desktop"), ["gnome-desktop", "graphical-internet", "base-x"]),
             (N_("KDE Desktop"), ["kde-desktop", "graphical-internet", "base-x"]),
             (N_("Sound and Video"), ["base", "base-x", "sound-and-video", "sound-and-video-production"]),
             (N_("Office and Graphics"), ["graphics", "office", "games", "sound-and-video", "graphical-internet", "authoring-and-publishing"]),
             (N_("Software Development"), ["development-libs", "development-tools", "gnome-software-development", "x-software-development", "eclipse", "legacy-software-development"]),
             (N_("Servers Applications"), ["web-server", "ftp-server", "smb-server", "mysql", "mail-server", "server-cfg", "system-tools"]),
             (N_("Administration Tools"), ["admin-tools", "system-tools", "base-x"])]

    # repos = { "Fedora Extras": ("http://download.fedora.redhat.com/pub/fedora/linux/extras/6/%s" %(rpmUtils.arch.getBaseArch() ,), None) }

    def _get_description(self):
        return _(self._description) %(productName,)
    description = property(_get_description)

    def setInstallData(self, anaconda):
	BaseInstallClass.setInstallData(self, anaconda)
        BaseInstallClass.setDefaultPartitioning(self, anaconda.id.partitions,
                                                CLEARPART_TYPE_LINUX)

    def setGroupSelection(self, anaconda):
        #grps = anaconda.backend.getDefaultGroups(anaconda)
        #map(lambda x: anaconda.backend.selectGroup(x), grps)
        #coregrps = ["core", "base", "dialup", "text-internet"]
        #map(lambda x: anaconda.backend.selectGroup(x), coregrps)
        #desktopgrps = ["graphics", "office",  "sound-and-video","base-x","gnome-desktop","graphical-internet","sound-and-video-production"]
        #map(lambda x: anaconda.backend.selectGroup(x), desktopgrps)
	BaseInstallClass.__init__(self, anaconda.backend)

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("partition")

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
